Bug 22084 - Consistent key names in D3E spec
Summary: Consistent key names in D3E spec
Status: RESOLVED FIXED
Alias: None
Product: WebAppsWG
Classification: Unclassified
Component: HISTORICAL - DOM3 Events (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: Gary Kacmarcik
QA Contact: public-webapps-bugzilla
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-18 02:31 UTC by Gary Kacmarcik
Modified: 2013-07-31 13:51 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gary Kacmarcik 2013-05-18 02:31:15 UTC
"Scroll" should be named "ScrollLock" since it's a locking key.

Arrow keys should begin with 'Arrow' prefix to make it more explicit and to group them together. "Down" -> "ArrowDown", ...

'Del' should be 'Delete'. Just like 'Insert' is not 'Ins'.

We should consistently use the 'Toggle' suffix for keys that toggle state.

The 'Apps' key (media key from OCAP) is confusable with the (more common) Windows VK_APPS/VK_CONTEXT_MENU key, which is missing from this list.
Comment 1 Travis Leithead [MSFT] 2013-06-19 00:22:44 UTC
Yep. Agree with ScrollLock.

Agree with the Arrow prefix.

I like the consistency for "Delete" (not Del) as it's spelled out on my keyboard like that.

I don't have a preference on the 'Toggle' (not sure it's too bad).

'Apps' key in IE9+ is the right-click context menu key. Perhaps 'AppsMenu'.
Comment 2 Masayuki Nakano 2013-07-22 15:25:40 UTC
(In reply to comment #1)
> 'Apps' key in IE9+ is the right-click context menu key. Perhaps 'AppsMenu'.

AppsMenu sounds like a menu for application global. Why don't you use "ContextMenu"? It's more famous name.
Comment 3 Gary Kacmarcik 2013-07-31 13:51:42 UTC
Fixed in current ED.

ScrollLock
ArrowDown, ArrowUp, ArrowLeft, ArrowRight
Delete
ContextMenu